# in sources: rm -f teamviewer_amd64.deb

%define _requires_exceptions libfontconfig.so.1\\|libfreetype.so.6\\|libSM.so.6\\|libXdamage.so.1\\|libXext.so.6\\|libXfixes.so.3\\|libXinerama.so.1\\|libXrandr.so.2\\|libXtst.so.6\\|libXrender.so.1\\|libssp.so.0

Summary: Remote control and meeting solution. 
Name: teamviewer
Version: 15.53.6
Release: %mkrel 1
License:  Proprietary; includes Free Software components
Group: Networking/Remote access
URL: https://www.teamviewer.com
Vendor: TeamViewer GmbH
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
AutoProv: no
Requires: qtdeclarative5

%description
TeamViewer provides easy, fast and secure remote access and meeting solutions
to Linux, Windows PCs, Apple PCs and various other platforms,
including Android and iPhone.

TeamViewer is free for personal use.
You can use TeamViewer completely free of charge to access your private
computers or to help your friends with their computer problems.

To buy a license for commercial use, please visit http://www.teamviewer.com

%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot
mkdir %buildroot

cd $RPM_SOURCE_DIR
wget -nc https://download.teamviewer.com/download/linux/teamviewer_amd64.deb

# extract data from the deb package
ar p $RPM_SOURCE_DIR/teamviewer_amd64.deb data.tar.xz | xz -d -9 | tar x -C %buildroot

# install daemon
mkdir -p %buildroot/etc/rc.d/init.d
cp %buildroot/opt/teamviewer/tv_bin/script/teamviewerd.sysv %buildroot/etc/rc.d/init.d/teamviewerd

#drop this
rm -rf %buildroot/etc/apt

%clean
rm -rf %buildroot

%post
%_post_service %{name}d
service %{name}d restart >> /dev/null 2>&1

%preun
%_preun_service %{name}d


%files
%defattr(-,root,root)
/etc
/opt
/usr
/var


%changelog
* Thu Apr 25 2024 pp <pp> 15.53.6-1pclos2024
- new version

* Sat Mar 29 2024 pp <pp> 15.52.3-1pclos2024
- new version

* Sat Mar 02 2024 pp <pp> 15.51.5-1pclos2024
- new version

* Sat Jan 27 2024 pp <pp> 15.50.5-1pclos2024
- new version

* Thu Dec 21 2023 pp <pp> 15.49.2-1pclos2023
- new version

* Thu Nov 23 2023 pp <pp> 15.48.4-1pclos2023
- new version

* Sat Oct 28 2023 pp <pp> 15.47.3-1pclos2023
- new version

* Sat Oct 14 2023 pp <pp> 15.46.7-1pclos2023
- new version

* Fri Sep 29 2023 pp <pp> 15.46.5-1pclos2023
- new version

* Sat Aug 26 2023 pp <pp> 15.45.3-1pclos2023
- new version

* Sat Aug 05 2023 pp <pp> 15.44.5-1pclos2023
- new version

* Wed Jul 05 2023 pp <pp> 15.43.7-1pclos2023
- new version

* Fri Jun 30 2023 pp <pp> 15.43.6-1pclos2023
- new version

* Thu May 25 2023 pp <pp> 15.42.4-1pclos2023
- new version

* Sat Apr 29 2023 pp <pp> 15.41.7-1pclos2023
- new version

* Fri Mar 24 2023 pp <pp> 15.40.8-1pclos2023
- new version

* Sat Feb 25 2023 pp <pp> 15.39.3-1pclos2023
- new version

* Fri Jan 27 2023 pp <pp> 15.38.3-1pclos2023
- new version

* Sat Jan 21 2023 pp <pp> 15.37.8-1pclos2023
- new version

* Fri Dec 16 2022 pp <pp> 15.37.3-1pclos2022
- new version

* Sat Nov 26 2022 pp <pp> 15.36.8-1pclos2022
- new version

* Sat Oct 29 2022 pp <pp> 15.35.7-1pclos2022
- new version

* Thu Oct 27 2022 pp <pp> 15.35.5-1pclos2022
- new version

* Sat Oct 01 2022 pp <pp> 15.34.4-1pclos2022
- new version

* Thu Aug 25 2022 pp <pp> 15.33.7-1pclos2022
- new version

* Wed Jul 27 2022 pp <pp> 15.32.3-1pclos2022
- new version

* Wed Jun 29 2022 pp <pp> 15.31.5-1pclos2022
- new version

* Thu May 26 2022 pp <pp> 15.30.3-1pclos2022
- new version
